using System;
using System.Collections.Generic;
using System.Text;
using System.Collections;

namespace KeyConfig.Map
{
	internal class KeyMap
	{
		internal KeyMap(Dictionary<string, string> table)
		{
			if (table == null) throw new ArgumentNullException("table");

			this.table = table;
		}

		Dictionary<string, string> table;

		internal string Parse(string name)
		{
			if (table.ContainsKey(name))
			{
				return table[name];
			}
			else
			{
				return name;
			}
		}
	}
}